{% sw_extends '@Storefront/storefront/component/product/card/price-unit.html.twig' %}

{% block component_product_box_price_unit %}
    {% if referencePrice or referencePrice.unitName %}
        <p class="product-price-unit">
            {# Price is based on the purchase unit #}
            {% block component_product_box_price_purchase_unit %}
                {% if referencePrice and referencePrice.unitName %}
                    <span class="product-unit-label">
                                {{ "listing.boxUnitLabel"|trans|sw_sanitize }}
                            </span>
                    <span class="price-unit-content">
                                {{ referencePrice.purchaseUnit }} {{ referencePrice.unitName }}
                            </span>
                {% endif %}
            {% endblock %}

            {# Item price is based on a reference unit #}
            {% block component_product_box_price_reference_unit %}
                {% if referencePrice is not null %}
                    <span class="price-unit-reference">
                                ({{ referencePrice.price|currency }}{{ "general.star"|trans|sw_sanitize }} / {{ referencePrice.referenceUnit }} {{ referencePrice.unitName }})
                            </span>
                {% endif %}
            {% endblock %}
        </p>
    {% endif %}
{% endblock %}

{% block component_product_box_price %}
    <div class="product-price-wrapper product-additionals-wrapper">
        {% set price = real %}
        {% set isListPrice = price.listPrice.percentage > 0 %}
        {% set isRegulationPrice = price.regulationPrice != null %}

        {% if cheapest.unitPrice != real.unitPrice %}
            <div class="product-cheapest-price{% if isListPrice and price.regulationPrice.price and not displayFrom %} with-list-price{% endif %}{% if isRegulationPrice and displayFrom %} with-regulation-price{% endif %}">
                <div>{{ "listing.cheapestPriceLabel"|trans|sw_sanitize }}<span class="product-cheapest-price-price"> {{ cheapest.unitPrice|currency }}{{ "general.star"|trans|sw_sanitize }}</span></div>
            </div>
        {% endif %}

        {% if displayFrom %}
            {{ "listing.listingTextFrom"|trans|sw_sanitize }}
        {% endif %}

        <span class="product-price{% if isListPrice and not displayFrom %} with-list-price{% endif %}">
            {{ price.unitPrice|currency }}{{ "general.star"|trans|sw_sanitize }}

            {% if isListPrice and not displayFrom %}
                {% set afterListPriceSnippetExists = "listing.afterListPrice"|trans|length > 0 %}
                {% set beforeListPriceSnippetExists = "listing.beforeListPrice"|trans|length > 0 %}
                {% set hideStrikeTrough = beforeListPriceSnippetExists or afterListPriceSnippetExists %}

                <span class="list-price{% if hideStrikeTrough %} list-price-no-line-through{% endif %}">
                    {% if beforeListPriceSnippetExists %}{{ "listing.beforeListPrice"|trans|trim|sw_sanitize }}{% endif %}

                    <span class="list-price-price">{{ price.listPrice.price|currency }}{{ "general.star"|trans|sw_sanitize }}</span>

                    {% if afterListPriceSnippetExists %}{{ "listing.afterListPrice"|trans|trim|sw_sanitize }}{% endif %}

                    <span class="list-price-percentage">{{ "detail.listPricePercentage"|trans({'%price%': price.listPrice.percentage })|sw_sanitize }}</span>
                </span>
            {% endif %}
        </span>
        {% if isRegulationPrice %}
            <span class="product-price with-regulation-price">
                {% if isListPrice %}<br/>{% endif %}<span class="regulation-price">{{ "general.listPricePreviously"|trans({'%price%': price.regulationPrice.price|currency }) }}{{ "general.star"|trans|sw_sanitize }}</span>
            </span>
        {% endif %}

        {% if product.releaseDate and product.releaseDate|date('U') > "now"|date('U') %}
            <link itemprop="availability"
                  href="http://schema.org/PreOrder"/>
            <p class="delivery-information delivery-preorder">
                <span class="delivery-status-indicator bg-warning"></span>
                {{ "general.deliveryShipping"|trans|sw_sanitize }} {{ product.releaseDate|format_date('long', locale=app.request.locale) }}
            </p>
        {% elseif product.availableStock >= product.minPurchase and product.deliveryTime %}
            <link itemprop="availability" href="http://schema.org/InStock"/>
            <p class="delivery-information delivery-available">
                {{ "detail.deliveryTimeAvailable"|trans({
                    '%name%': product.deliveryTime.translation('name')
                })|sw_sanitize }}
            </p>
        {% endif %}

        {% set syseaPropertyIndicator = theme_config('sysea-variant-indicators') %}
        {% if syseaPropertyIndicator %}
            <ul class="list-inline sysea--variant-indicator-list pl-0">
                {% for property in product.properties %}
                    {% if syseaPropertyIndicator is same as(property.group.id) %}
                        <li class="list-inline-item">
                            <span class="sysea--variant-indicator" style="background-color: {{ property.colorHexCode }};"></span>
                        </li>
                    {% endif %}
                {% endfor %}
            </ul>
        {% endif %}
    </div>
{% endblock %}